> For the complete documentation index, see [llms.txt](https://docs.picklemods.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.picklemods.com/free-resources/pickle-prisons/installation.md).

# Installation

## What do I need?

* ESX (1.1+) / QBCore, or code your own bridge to work with your framework. (the bridge is fully accessible!)
* [Ox Lib](https://github.com/overextended/ox_lib/releases/) (Required, Works anywhere).

## Optional

Use my free XP system below, or port to another one inside of the bridge!

<https://forum.cfx.re/t/free-pickles-xp-system-standalone-works-with-esx-qb-multicharacter-identifiers/5088064>

## Installation

:warning:Make sure you rename the folder from pickle\_prisons-main to pickle\_prisons prior to installing.:warning:

If you miss this step the script will not function as expected.

Navigate to the "\_\_INSTALL" folder.

## Optional Metadata

***This is not required to use the script, however enables you to generate items with metadata using the .createItem function in the rewards.***

* QBCore
* Ox Inventory
* ESX (Only if your inventory provider allows metadata to be set through "xPlayer.addInventoryItem".

Navigate to the "\_INSTALL" folder.

Import the images in the \_INSTALL/images folder to your inventory image folder. (Varies on framework)

{% tabs %}
{% tab title="ESX Items" %}
Execute the SQL provided inside the \_\_INSTALL folder.
{% endtab %}

{% tab title="qb-inventory" %}

```lua
["wood"] 					= {["name"] = "wood",  	     		        ["label"] = "Wood",	 		    ["weight"] = 1, 		["type"] = "item", 		["image"] = "wood.png", 				["unique"] = false, 	    ["useable"] = true, 	["shouldClose"] = true,   	["combinable"] = nil,   ["description"] = ""},
["metal"] 					= {["name"] = "metal",  	     		    ["label"] = "Metal",	 		    ["weight"] = 1, 		["type"] = "item", 		["image"] = "metal.png", 				["unique"] = false, 	    ["useable"] = true, 	["shouldClose"] = true,   	["combinable"] = nil,   ["description"] = ""},
["rope"] 					= {["name"] = "rope",  	     		        ["label"] = "Rope",	 		    ["weight"] = 1, 		["type"] = "item", 		["image"] = "rope.png", 				["unique"] = false, 	    ["useable"] = true, 	["shouldClose"] = true,   	["combinable"] = nil,   ["description"] = ""},
["shovel"] 					= {["name"] = "shovel",  	     		    ["label"] = "Shovel",	 		    ["weight"] = 1, 		["type"] = "item", 		["image"] = "shovel.png", 				["unique"] = false, 	    ["useable"] = true, 	["shouldClose"] = true,   	["combinable"] = nil,   ["description"] = ""},
```

{% endtab %}

{% tab title="ox\_inventory" %}

```lua
['wood'] = {
    label = 'Wood',
    weight = 1,
    stack = true,
    close = true,
    description = nil
},

['metal'] = {
    label = 'Metal',
    weight = 1,
    stack = true,
    close = true,
    description = nil
},

['rope'] = {
    label = 'Rope',
    weight = 1,
    stack = true,
    close = true,
    description = nil
},

['shovel'] = {
    label = 'Shovel',
    weight = 1,
    stack = true,
    close = true,
    description = nil
},
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.picklemods.com/free-resources/pickle-prisons/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
